View Issue Details

IDProjectCategoryView StatusLast Update
0001929unrealircdpublic2005-02-03 20:30
ReporterZ3l3zTAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.3 
Summary0001929: Allow spamfilter.conf to scan topics as well as any other message.
DescriptionHeya..

I love the concept of spamfilter.conf, it helps alot and it's a good solution against spam.. Yet, it block things like SDBot and GTBot.. I have no idea how they work but I assume they are bots located on a victims computer and are used for DDoS attacks..

Some bots (mostly known as "rooters") are infecting a machine, and joining a channel.. then they read the topic and keep on scanning for vulnarble computers.. therefore it would be nice to block things like "!advscan dcom135 150 1 0 -b" from the topics.. Like adding a "topic" target or so.. or? is that making it bloated? ;)
TagsNo tags attached.
3rd party modules

Activities

vonitsanet

2004-07-09 12:45

reporter   ~0006950

?!

Z3l3zT

2004-07-09 14:17

reporter   ~0006953

I mean, a way to block a specific topic with spamfilter.

vonitsanet

2004-07-10 11:42

reporter   ~0006971

I agree.. It will be nice to block topics with spamfilter.

vonitsanet

2004-07-10 11:53

reporter   ~0006972

Any reply from syzop / codemastr?

syzop

2005-02-03 20:30

administrator   ~0009017

Added in .255

Issue History

Date Modified Username Field Change
2004-07-07 15:21 Z3l3zT New Issue
2004-07-09 12:45 vonitsanet Note Added: 0006950
2004-07-09 14:17 Z3l3zT Note Added: 0006953
2004-07-10 11:42 vonitsanet Note Added: 0006971
2004-07-10 11:53 vonitsanet Note Added: 0006972
2005-02-03 20:30 syzop Status new => resolved
2005-02-03 20:30 syzop Fixed in Version => 3.2.3
2005-02-03 20:30 syzop Resolution open => fixed
2005-02-03 20:30 syzop Assigned To => syzop
2005-02-03 20:30 syzop Note Added: 0009017